CREATE TABLE loy_txn_item (
    LOY_TXN_ITEM_ID          NUMBER(18, 0),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    CONFLICT_ID              NUMBER(18, 0)    NOT NULL,
    PARTNER_ID               NUMBER(18, 0)    NOT NULL,
    PNR_NUM                  VARCHAR2(200),
    PRTNR_PROD_ID            NUMBER(18, 0)    NOT NULL,
    SEQ_NUM                  NUMBER           NOT NULL,
    TXN_ID                   NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    LOY_TXN_ITEM_ID          NUMBER(18, 0),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    CONFLICT_ID              NUMBER(18, 0)    NOT NULL,
    PARTNER_ID               NUMBER(18, 0)    NOT NULL,
    PNR_NUM                  VARCHAR2(200),
    PRTNR_PROD_ID            NUMBER(18, 0)    NOT NULL,
    SEQ_NUM                  NUMBER           NOT NULL,
    TXN_ID                   NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_loy_txn_item PRIMARY KEY (LOY_TXN_ITEM_ID, LOY_TXN_ITEM_ID)
);
